关于不能继承HttpServlet的问题

 今天准备写项目,eclipse出现了这个问题,显而易见是架包没导,在网上找到了解决办法,

就是导入tomcat的servlet-api.jar但是感觉有点麻烦,我就在项目的Properties看了一下找到了问题所在。

当然前提是你已经在eclipse配置好了tomcat,不然以下两种方法都没用。

解决方法一:在tomcat的lib下找到servlet-api.jar放入到web项目下lib。

解决方法二:右击项目->Properties->Targeted Runtimes->Apache Tomcat v7.0 这里勾上->点击0K就好了。

                    这时你会发现项目下Java Resource包下的Libraries多了一条Apache Tomcat v7.0 

已标记关键词 清除标记
相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页